## AnacondaStandaloneWindow

AnacondaStandaloneWindow — Window for displaying standalone spokes

## Functions

GtkWidget * | anaconda_standalone_window_new ()
gboolean | anaconda_standalone_window_get_may_continue ()
void | anaconda_standalone_window_set_may_continue ()
void | anaconda_standalone_window_retranslate ()

## Signals

void | continue-clicked | Action
void | quit-clicked | Action

## Types and Values

struct | AnacondaStandaloneWindow
struct | AnacondaStandaloneWindowClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── AnacondaBaseWindow
                                ╰── AnacondaStandaloneWindow

## Implemented Interfaces

AnacondaStandaloneWindow implements AtkImplementorIface and GtkBuildable.

## Description

A AnacondaStandaloneWindow is a top-level window that displays a standalone spoke. A standalone spoke is like a normal spoke, but is not entered via a hub. Instead, it is displayed by itself. Examples include the welcome and network configuration screens at the beginning of installation.

The window consist of three areas:

- A navigation area in the top of the screen, inherited from AnacondaBaseWindow.

- A button box at the bottom of the screen, with Quit and Continue buttons. The Continue button may not be enabled until required information is entered by the user.

- An action area in the middle of the screen, taking up a majority of the space. This is where widgets will be added and the user will do things.

## Functions

### anaconda_standalone_window_new ()

    GtkWidget *
    anaconda_standalone_window_new ();

Creates a new AnacondaStandaloneWindow, which is a window designed for displaying a standalone spoke, such as the welcome screen or network configuration.

#### Returns

A new AnacondaStandaloneWindow.

### anaconda_standalone_window_get_may_continue ()

    gboolean
    anaconda_standalone_window_get_may_continue
                                   (AnacondaStandaloneWindow *win);

Returns whether or not the continue button is sensitive (thus, whether the user may continue forward from this window).

#### Parameters

win | a AnacondaStandaloneWindow |

#### Returns

Whether the continue button on `win` is sensitive.

Since 1.0

### anaconda_standalone_window_set_may_continue ()

    void
    anaconda_standalone_window_set_may_continue
                                   (AnacondaStandaloneWindow *win,
                                    gboolean may_continue);

Specifies whether the user may continue forward from this window. If so, the continue button will be made sensitive. Windows default to continuable so you must set it as false if you want. The reason the user may not be able to continue is if there is required information the user must enter when no reasonable default may be given.

#### Parameters

win | a AnacondaStandaloneWindow |
may_continue | `TRUE` if this window's continue button should be sensitive. |

Since 1.0

### anaconda_standalone_window_retranslate ()

    void
    anaconda_standalone_window_retranslate
                                   (AnacondaStandaloneWindow *win,
                                    const char *lang);

Reload translations for this widget as needed. Generally, this is not needed. However when changing the language during installation, we need to be able to make sure the screen gets retranslated. This function is kind of ugly but avoids having to destroy and reload the screen.

#### Parameters

win | a AnacondaStaldaloneWindow |
lang | target language |

Since 1.0

## Types and Values

### struct AnacondaStandaloneWindow

    struct AnacondaStandaloneWindow;

The AnacondaStandaloneWindow struct contains only private fields and should not be directly accessed.

### struct AnacondaStandaloneWindowClass

    struct AnacondaStandaloneWindowClass {
        AnacondaBaseWindowClass parent_class;

        void (* quit_clicked)     (AnacondaStandaloneWindow *window);
        void (* continue_clicked) (AnacondaStandaloneWindow *window);
    };

#### Members

AnacondaBaseWindowClass `parent_class`; | The object class structure needs to be the first element in the widget class structure in order for the class mechanism to work correctly. This allows an AnacondaStandaloneWindowClass pointer to be cast to an AnacondaBaseWindow pointer. |
`quit_clicked` () | Function pointer called when the “quit-clicked” signal is emitted. |
`continue_clicked` () | Function pointer called when the “continue-clicked” signal is emitted. |

## Signal Details

### The `“continue-clicked”` signal

    void
    user_function (AnacondaStandaloneWindow *window,
                   gpointer                  user_data)

Emitted when the continue button has been activated (pressed and released).

#### Parameters

window | the window that received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since 1.0

### The `“quit-clicked”` signal

    void
    user_function (AnacondaStandaloneWindow *window,
                   gpointer                  user_data)

Emitted when the quit button has been activated (pressed and released).

#### Parameters

window | the window that received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since 1.0